function reinit_param_simuldon(obj,event)
%_param_simuldon Réinitialisation des paramètres de simulation de données
%% ======================================================
global input_error;
data=guidata(1);


% Les paramètres de simulation de données s'ils existent
if isfield(data, 'Simul')
    for i=1:length(data.Simul.nomparamD)
        var= data.Simul.nomparamD{i};
        data.(var)=data.Simul.valparamD{i};
        tag=[var,'_tag'];
        set(data.(tag),'string',eval(['data.',var]),'backgroundcolor','w');
        if ~isempty(input_error) && isfield(input_error, tag)
            input_error= rmfield(input_error, tag);
        end
    end
    % le biais et mode de tirage
    for i=1:length(data.Simul.modeD)
        % cocher le mode par défaut:
        var= data.Simul.modeD{i};
        tag=[var,'_tag'];
        set(data.(tag),'value', 1);
        if ~isempty(input_error) && isfield(input_error, tag)
            input_error= rmfield(input_error, tag);
        end
        % décocher l'autre mode
        var= data.Simul.modeND{i};
        tag=[var,'_tag'];
        set(data.(tag),'value', 0);
        if ~isempty(input_error) && isfield(input_error, tag)
            input_error= rmfield(input_error, tag);
        end
    end
  % les valeurs numériques
     for i=1:length(data.Simul.valnom)
         var= data.Simul.valnom{i};
         tag=[var,'_tag'];
        set(data.(tag),'String', data.Simul.valD{i});
        if ~isempty(input_error) && isfield(input_error, tag)
            input_error= rmfield(input_error, tag);
        end
     end
     
% maj les dépendances liées au mode de calcul de la variance
        set(data.reftxt_tag, 'visible', 'on');
        set(data.help_powercoeff_tag, 'visible', 'off');
        set(data.help_variance_tag, 'visible', 'on');
        set(data.refvalue_tag, 'visible', 'on');
        set(data.cpuistxt_tag, 'visible', 'off');
        set(data.cpuisvalue_tag, 'visible', 'off');
        set(data.biaistxt_tag, 'visible', 'off');
        set(data.biaisvalue_tag, 'visible', 'off');	
  
end % fin isfield

handles=guihandles(1);
ndata=catstruct(data,handles);
guidata(1,ndata)

end % fin reinit_param_simuldon
